星期一, 5月 10, 2010

Vimana

Vimana 在 ubuntu 裡所需要的套件大致有這些:libdatetime-perl libexporter-lite-perl libjson-perl libmouse-perl libyaml-perl libapp-cli-perl libfile-type-perl libarchive-zip-perl

HTTP::Lite 則找不到適當的 deb,所以執行 perl Makefile.PL 時,會問說要不要從 CPAN 安裝,這時候要選 y。
==> Auto-install the 1 mandatory module(s) from CPAN? [y] y


接著 make 的時候,就會開始安裝 HTTP::Lite,同時編譯 Vimana

最後輸入 sudo make install,就會開始安裝 Vimana

如果你跟我一樣遇到 make 時,沒反應的話,不妨中斷他,然後輸入 sudo cpan HTTP::Lite 先手動用 cpan 安裝 HTTP::Lite,再重新 perl Makfeile.PL、make、sudo make install 就可以把 Vimana 安裝好了。

安裝 Vimana 以後,首先得用 vimana update 更新套件資料,接著就可以用 vimana install 來進行安裝了。

沒有留言:

您或許對這些文章有興趣

Related Posts Plugin for WordPress, Blogger...